office-gobmx/solenv/bin/installoffice
Release Engineers 9e7efde23d CWS-TOOLING: integrate CWS perftest08
2009-07-02 10:03:16 +0200 lla  r273621 : #159516# support systems with no JAVA_HOME
2009-07-02 10:00:25 +0200 lla  r273620 : #159516# if path is null this not an error
2009-07-01 14:36:05 +0200 lla  r273583 : #159516# add check for wrong cygwin path
2009-06-22 13:18:14 +0200 lla  r273223 : #159516# add PipeConnectionString
2009-06-18 21:44:59 +0200 lla  r273137 : #159516# cleanups
2009-06-18 21:44:17 +0200 lla  r273136 : #159516# handle null
2009-06-18 21:42:56 +0200 lla  r273135 : #159516# add getElementCount() function
2009-06-15 10:40:05 +0200 lla  r272966 : CWS-TOOLING: rebase CWS perftest08 to trunk@272827 (milestone: DEV300:m50)
2009-06-02 09:06:22 +0200 lla  r272480 : CWS-TOOLING: rebase CWS perftest08 to trunk@272291 (milestone: DEV300:m49)
2009-05-08 11:40:22 +0200 mib  r271710 : #159717#: File name info for performance test (added void to hasLogFile() parameter list)
2009-05-05 14:14:25 +0200 mib  r271514 : #159717#: File name info for performance test
2009-05-04 15:23:01 +0200 mib  r271466 : #159717#: File name infor for performance test
2009-05-04 15:22:27 +0200 mib  r271465 : #159717#: File name infor for performance test
2009-05-04 15:21:56 +0200 mib  r271464 : #159717#: File name infor for performance test
2009-05-04 15:21:18 +0200 mib  r271462 : #159717#: File name infor for performance test
2009-04-29 16:23:40 +0200 lla  r271383 : #159516# cleanups
2009-04-29 16:23:20 +0200 lla  r271382 : #159516# cleanups
2009-04-08 12:23:01 +0200 lla  r270631 : #159516# typo
2009-04-07 10:30:35 +0200 lla  r270580 : #159516# add prototype
2009-04-07 10:21:15 +0200 lla  r270579 : #159516# cleanup
2009-04-03 09:05:26 +0200 lla  r270448 : #159516# small cleanups
2009-03-30 13:22:26 +0200 lla  r270221 : #159517# merge perftest07
2009-07-03 10:14:57 +00:00

105 lines
3.2 KiB
Bash
Executable file

#!/bin/bash
#*************************************************************************
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org. If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#***********************************************************************/
EXIT_SUCCESS=0
EXIT_FAILURE=1
EXIT_ERROR=2
EXIT_BUG=10
if [ x${SOLARENV}x = xx ]; then
echo No environment found, please use 'configure' or 'setsolar'
exit $EXIT_FAILURE
fi
usage() {
echo "Usage: $SCRIPTNAME [-t DESTPATH] [-o] [-d] [-a]" >&2
echo "" >&2
echo "[-t] target path: path wehre tho office should installed to. The default is '$DESTPATH'" >&2
echo "" >&2
echo "[-o] force OpenOffice.org installation instead of StarOffice" >&2
echo "" >&2
echo "[-d] installation with debug output" >&2
echo "" >&2
echo "[-a] the office will be patched to run without FirstStartWizard" >&2
echo "" >&2
echo "[-i] impress should open documents without autopilot" >&2
exit $EXIT_FAILURE
}
if [ x${USER}x = xx ]; then
if [ x${LOGNAME}x = xx ]; then
echo "ERROR: could not determine username. Please export variable USER" >&2
exit $EXIT_FAILURE
else
USER=$LOGNAME
export USER
fi
fi
DESTPATH=/tmp/$USER
PARAM=""
while getopts ':mt:aicdhot' OPTION ; do
case $OPTION in
d) PARAM="$PARAM -debug true"
;;
c) PARAM="$PARAM -cwscheckapi true"
;;
o) PARAM="$PARAM -ooo true"
;;
a) PARAM="$PARAM -autorun true"
;;
i) PARAM="$PARAM -autoimpress true"
;;
t) DESTPATH="$OPTARG"
;;
h) usage $EXIT_SUCCESS
;;
\?) echo "unkown option \"-$OPTARG\"." >&2
usage $EXIT_ERROR
;;
*) echo "this is not possible...">&2
usage $EXIT_BUG
;;
esac
done
shift `expr $OPTIND - 1`
LOCALINSTALLDIR=$DESTPATH/office
LOCALUNPACKDIR=$DESTPATH/unpack
export LOCALINSTALLDIR
export LOCALUNPACKDIR
echo "export LOCALINSTALLDIR"
echo "export LOCALUNPACKDIR"
unset LD_LIBRARY_PATH
unset FORCE2ARCHIVE
echo "### $SOLARENV/bin/installoffice.pl $PARAM -cleanup true $@"
exec perl -w $SOLARENV/bin/installoffice.pl $PARAM -cleanup true $@
exit $?